import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _concatInstanceProperty from "@babel/runtime-corejs3/core-js/instance/concat";
import { __decorate } from "tslib";
import { Component } from 'intact-vue-next';
import { bind } from '../utils';
import template from './item.vdt';
import { isExternalLink } from '../utils';
import { useRouter } from '../../hooks/useRouter';
var typeDefs = {
  to: String
};
export var BreadcrumbItem = /*#__PURE__*/function (_Component) {
  _inheritsLoose(BreadcrumbItem, _Component);

  function BreadcrumbItem() {
    var _context;

    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _Component.call.apply(_Component, _concatInstanceProperty(_context = [this]).call(_context, args)) || this;
    _this.router = useRouter();
    return _this;
  }

  var _proto = BreadcrumbItem.prototype;

  _proto.onClick = function onClick() {
    var to = this.get('to');

    if (to) {
      var router = this.router.value;

      if (router && !isExternalLink(to)) {
        router.push(to);
      } else {
        window.location.href = to;
      }
    }
  };

  return BreadcrumbItem;
}(Component);
BreadcrumbItem.template = template;
BreadcrumbItem.typeDefs = typeDefs;

__decorate([bind], BreadcrumbItem.prototype, "onClick", null);