import { VNodeComponentClass } from 'intact-vue-next';
import type { CarouselItem } from './item';
export declare function useSlide(getItems: () => VNodeComponentClass<CarouselItem>[], getItemsWithCloned: () => VNodeComponentClass<CarouselItem>[]): {
    translate: import("../../hooks/useState").State<number>;
    shouldTransition: import("../../hooks/useState").State<boolean>;
    elementRef: import("intact").RefObject<HTMLElement>;
    translateToItem: (item: VNodeComponentClass<CarouselItem>, oldIndex: number | null, newIndex: number | null, keepDirection: boolean) => Promise<void>;
    isSlide: () => boolean;
};
