import { Component, TypeDefs } from 'intact-vue-next';
import type { editor } from 'monaco-editor';
export interface CodeProps {
    value?: string;
    language?: string;
    theme?: 'vs' | 'vs-dark' | 'hc-black';
    readOnly?: boolean;
    width?: string;
    height?: string;
    options?: editor.IStandaloneEditorConstructionOptions;
}
export interface CodeEvents {
    ready: [editor.IStandaloneCodeEditor, typeof editor];
}
export declare class Code extends Component<CodeProps, CodeEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<CodeProps>>;
    static defaults: () => Partial<CodeProps>;
    private editor;
}
