import { Component, TypeDefs } from 'intact-vue-next';
export * from './item';
declare type ArrowType = 'left' | 'right';
export interface CollapseProps {
    value?: string[];
    accordion?: boolean;
    arrow?: ArrowType;
    noBorder?: boolean;
}
export interface CollapseEvents {
}
export declare const COLLAPSE = "Collapse";
export declare class Collapse extends Component<CollapseProps, CollapseEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<CollapseProps>>;
    static defaults: () => Partial<CollapseProps>;
    init(): void;
    changeValue(v: string): void;
    private isActive;
}
