import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { Component, provide } from 'intact-vue-next';
import template from './index.vdt';
import { toggleArray } from '../utils';
export * from './item';
var typeDefs = {
  value: Array,
  accordion: Boolean,
  arrow: String,
  noBorder: Boolean
};
export var COLLAPSE = 'Collapse';

var defaults = function defaults() {
  return {
    arrow: 'right'
  };
};

export var Collapse = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Collapse, _Component);

  function Collapse() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Collapse.prototype;

  _proto.init = function init() {
    provide(COLLAPSE, this);
  };

  _proto.changeValue = function changeValue(v) {
    var _this$get = this.get(),
        value = _this$get.value,
        accordion = _this$get.accordion;

    var _value = accordion ? this.isActive(v) ? [] : [v] : toggleArray(value, v);

    this.set('value', _value);
  };

  _proto.isActive = function isActive(v) {
    var _this$get2 = this.get(),
        value = _this$get2.value;

    if (!Array.isArray(value)) return false;
    return !!~value.indexOf(v);
  };

  return Collapse;
}(Component);
Collapse.template = template;
Collapse.typeDefs = typeDefs;
Collapse.defaults = defaults;