import { Component, TypeDefs, VNode } from 'intact-vue-next';
export interface CollapseItemProps {
    value: string;
    title?: string | VNode;
    disabled?: boolean;
}
export interface CollapseItemEvents {
    show: [CollapseItem];
    hide: [CollapseItem];
}
export interface CollapseItemBlocks {
    title: null;
}
export declare class CollapseItem extends Component<CollapseItemProps, CollapseItemEvents, CollapseItemBlocks> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<CollapseItemProps>>;
    private collapse;
    toggle(): void;
    private onEnter;
    private onAfterLeave;
}
