import { ColorFormats } from 'tinycolor2';
import { State } from '../../hooks/useState';
export declare enum Mode {
    RGB = 0,
    HSL = 1
}
export declare function useInput(hsv: State<ColorFormats.HSVA | null>, rgb: State<ColorFormats.RGBA | null>, hsl: State<ColorFormats.HSLA | null>): {
    onInputHex: (e: InputEvent) => void;
    mode: State<Mode>;
    changeMode: () => void;
    changeColor: (type: string, v: number) => void;
    onStart: () => void;
    onEnd: () => void;
    dragging: State<boolean>;
    setInputValue: (type: string, maxValue: number, e: InputEvent) => void;
};
