import { Component, ComponentConstructor } from 'intact-vue-next';
export interface ProviderProps<T> {
    value?: T;
}
declare type ProviderConstructor<T> = ComponentConstructor<Component<ProviderProps<T>>>;
declare type ConsumerConstructor = ComponentConstructor<Component<{}>>;
export declare function createContext<T = any>(defaultValue?: T): {
    Provider: ProviderConstructor<T>;
    Consumer: ConsumerConstructor;
};
export {};
