import dayjs, { Dayjs, OpUnitType } from 'dayjs';
import { StateValueItem } from './basepicker';
export declare function getNowDate(): dayjs.Dayjs;
export declare function clearTime(date: Date): void;
export declare function isEqual(a: Dayjs | undefined | null, b: Dayjs | undefined | null, type?: OpUnitType): boolean;
export declare function isLT(a: Dayjs | undefined | null, b: Dayjs | undefined | null, type?: OpUnitType): boolean;
export declare function isGT(a: Dayjs | undefined | null, b: Dayjs | undefined | null, type?: OpUnitType): boolean;
export declare function createDate(date: string): Date;
export declare function findValueIndex(values: StateValueItem[], value: StateValueItem, type: OpUnitType): number;
export declare function last<T>(arr: T[]): T | undefined;
