import { Children } from 'intact-vue-next';
import { Value } from './basepicker';
export declare type Shortcut = {
    label: (() => Children) | Children;
    value: () => Value | [Value, Value];
};
export declare const today: Shortcut;
export declare const yesterday: Shortcut;
export declare const tomorrow: Shortcut;
export declare const afterOneWeek: Shortcut;
export declare const afterOneMonth: Shortcut;
export declare const afterThreeMonths: Shortcut;
export declare const beforeOneWeek: Shortcut;
export declare const beforeOneMonth: Shortcut;
export declare const beforeThreeMonths: Shortcut;
export declare const lastWeek: Shortcut;
export declare const nextWeek: Shortcut;
export declare const lastMonth: Shortcut;
export declare const nextMonth: Shortcut;
export declare const lastThreeMonths: Shortcut;
export declare const nextThreeMonths: Shortcut;
