import { Component } from 'intact-vue-next';
import { Dayjs } from 'dayjs';
import { PanelFlags } from './usePanel';
export interface DatepickerTimeProps {
    value: Dayjs | undefined;
    format: string;
    flag: PanelFlags;
    isDisabledTime: (v: Dayjs, flag: PanelFlags) => boolean;
}
declare type Value = {
    h: number;
    m: number;
    s: number;
};
export declare class DatepickerTime extends Component<DatepickerTimeProps> {
    static template: import("intact").Template<any>;
    value: import("../../hooks/useState").State<Value | null>;
    disabled: {
        disableSeconds: import("../../hooks/useState").State<boolean>;
        disableMinutes: import("../../hooks/useState").State<boolean>;
        disableHours: import("../../hooks/useState").State<boolean>;
        disableItem: (v: number, type: keyof Value) => boolean;
    };
    init(): void;
    changeHour(v: number): void;
    changeMinute(v: number): void;
    changeSecond(v: number): void;
    private changeValue;
}
export {};
