import { State } from '../../hooks/useState';
import { Dayjs } from 'dayjs';
import type { DatepickerCalendarProps } from './calendar';
export declare function useStatus(focusDate: State<Dayjs | null>): {
    isActive: (date: Dayjs, type: DatepickerCalendarProps['type']) => boolean;
    isInRange: (date: Dayjs, type: DatepickerCalendarProps['type']) => boolean;
    isDisabled: (value: Dayjs, type?: "second" | "month" | "year" | "date") => boolean;
};
