import dayjs, { Dayjs } from 'dayjs';
import { State } from '../../hooks/useState';
import type { useStatus } from './useStatus';
export declare function useYears(showDate: State<Dayjs>, status: ReturnType<typeof useStatus>, focusDate: State<Dayjs | null>): {
    getYearRange: () => number[];
    getYearLabel: () => string;
    getYears: (now: Dayjs) => {
        isExceed: boolean;
        isActive: boolean;
        isToday: boolean;
        isDisabled: boolean;
        isHover: boolean;
        isInRange: boolean;
        label: number;
        value: dayjs.Dayjs;
    }[];
    onClick: (date: Dayjs) => void;
};
