import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
import type { Cell } from '../shapes/base';
import type { DShape } from '../shapes/shape';
import type { Diagram } from '../diagram';
export interface DOrganicLayoutProps extends DLayoutProps {
    forceConstant?: number | string;
}
export declare class DOrganicLayout extends DLayout<DOrganicLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DOrganicLayoutProps>>;
    static defaults: () => Partial<DOrganicLayoutProps>;
    protected getLayout(graph: any): any;
    protected execute(layout: any, cells: Cell[], parent: DShape | Diagram, graph: any): void;
}
