import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
import type { Cell } from '../shapes/base';
import type { DShape } from '../shapes/shape';
import type { Diagram } from '../diagram';
export interface DRadialLayoutProps extends DLayoutProps {
    levelDistance?: number | string;
    nodeDistance?: number | string;
    rootx?: number | string;
    rooty?: number | string;
}
export declare class DRadialLayout extends DLayout<DRadialLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DRadialLayoutProps>>;
    static defaults: () => Partial<DRadialLayoutProps>;
    protected getLayout(graph: any): any;
    protected execute(layout: any, cells: Cell[], parent: DShape | Diagram, graph: any): void;
}
