import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
export interface DStackLayoutProps extends DLayoutProps {
    type?: 'horizontal' | 'vertical';
    spacing?: number | string;
    wrap?: number | string;
    fill?: boolean;
    border?: number | string;
    resizeParent?: boolean;
}
export declare class DStackLayout extends DLayout<DStackLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DStackLayoutProps>>;
    static defaults: () => Partial<DStackLayoutProps>;
    protected getLayout(graph: any): any;
}
