import { DShape } from './shape';
export declare class DCallout extends DShape {
    static displayName: string;
    static defaults(): {
        width: number;
        height: number;
        left?: string | number | undefined;
        top?: string | number | undefined;
        movable?: boolean | undefined;
        selectable?: boolean | undefined;
        resizable?: boolean | undefined;
        rotatable?: boolean | undefined;
        editable?: boolean | undefined;
        connectable?: boolean | undefined;
        strokeStyle?: "dashed" | "dotted" | "solid" | undefined;
        label?: string | number | undefined;
        style?: Record<string, string | number> | undefined;
        data?: any;
    };
    getStylesheet(): string;
}
