import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _extends from "@babel/runtime-corejs3/helpers/extends";
import { DShape } from './shape';

var typeDefs = _extends({}, DShape.typeDefs, {
  src: String
});

export var DImage = /*#__PURE__*/function (_DShape) {
  _inheritsLoose(DImage, _DShape);

  function DImage() {
    return _DShape.apply(this, arguments) || this;
  }

  DImage.defaults = function defaults() {
    return _extends({}, DShape.defaults(), {
      width: 80,
      height: 80,
      src: ''
    });
  };

  var _proto = DImage.prototype;

  _proto.getStylesheet = function getStylesheet() {
    var _this$get = this.get(),
        src = _this$get.src;

    return "image;html=1;labelBackgroundColor=#ffffff;image=" + src + ";";
  };

  return DImage;
}(DShape);
DImage.displayName = 'DImage';
DImage.typeDefs = typeDefs;