import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _Promise from "@babel/runtime-corejs3/core-js/promise";
import { BaseDialog } from './base';
import { createVNode, callAll } from 'intact-vue-next';
import { addStaticMethods } from './staticMethods';
export var Dialog = /*#__PURE__*/function (_BaseDialog) {
  _inheritsLoose(Dialog, _BaseDialog);

  function Dialog(props, $vNode, $SVG, $mountedQueue, $parent) {
    var _this;

    if ($vNode === void 0) {
      $vNode = null;
    }

    if ($SVG === void 0) {
      $SVG = false;
    }

    if ($mountedQueue === void 0) {
      $mountedQueue = [];
    }

    if ($parent === void 0) {
      $parent = null;
    }

    _this = _BaseDialog.call(this, props, $vNode, $SVG, $mountedQueue, $parent) || this;
    _this.useAsComponent = false;
    return _this;
  }

  var _proto = Dialog.prototype;

  _proto.init = function init() {
    _BaseDialog.prototype.init.call(this);

    if (this.$vNode) {
      this.useAsComponent = true;
    }
  };

  _proto.show = function show(props) {
    var _this2 = this;

    return new _Promise(function (resolve) {
      if (_this2.get('value')) return;

      var show = function show() {
        return _this2.set('value', true);
      };

      if (_this2.useAsComponent) {
        return show();
      } // use as intance


      var mountedQueue = _this2.$mountedQueue;

      _this2.$init(props || null);

      var vNode = _this2.$vNode = createVNode(Dialog);
      vNode.children = _this2;

      _this2.$render(null, vNode, document.body, null, mountedQueue);

      callAll(mountedQueue);

      if (_this2.$inited) {
        show();
      } else {
        _this2.on('$inited', show);
      }
    });
  };

  return Dialog;
}(BaseDialog);
addStaticMethods(Dialog);