import { TypeDefs } from 'intact-vue-next';
import { BaseDialog, BaseDialogProps } from '../dialog/base';
import { Placement } from './styles';
export interface DrawerProps extends BaseDialogProps {
    placement?: Placement;
}
export declare class Drawer extends BaseDialog<DrawerProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<DrawerProps>>;
    static defaults: () => Partial<DrawerProps>;
}
