import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createVNode as _$cv, className as _$cn, createUnknownComponentVNode as _$cc, createElementVNode as _$ce } from 'intact-vue-next';
import { getRestProps } from '../utils';
import { Input } from '../input';
import { Icon } from '../icon';
import { makeStyles } from './styles';
export default function ($props, $blocks, $__proto__) {
  var _classNameObj;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      children = _this$get.children,
      className = _this$get.className,
      editing = _this$get.editing,
      value = _this$get.value,
      validate = _this$get.validate,
      disabled = _this$get.disabled,
      tip = _this$get.tip,
      invalid = _this$get.invalid;

  var classNameObj = (_classNameObj = {
    'k-editable': true,
    'k-editing': editing,
    'k-disabled': disabled,
    'k-invalid': invalid
  }, _classNameObj[className] = className, _classNameObj[makeStyles()] = true, _classNameObj);
  return _$cv('div', _extends({}, getRestProps(this), {
    'className': _$cn(classNameObj)
  }), [!disabled && !editing ? _$cc(Icon, {
    'className': 'k-icon-edit k-editable-icon',
    'title': tip,
    'ev-click': this.edit
  }) : undefined, _$ce(2, 'div', !editing ? children : _$cc(Input, {
    'size': 'small',
    'defaultValue': value,
    'ev-blur': this.onBlur,
    'ev-keydown': this.onKeydown,
    'ref': this.inputRef,
    'frozenOnInput': true
  }, null, this.inputRef), 0, 'c-ellipsis')]);
}
;