import { State } from '../../hooks/useState';
declare type PromiseWithCancelled = Promise<boolean> & {
    cancelled: boolean;
};
export declare function useValidate(getErrorMessage: (ruleName: string) => string, getErrorClassName: (ruleName: string) => string, message: State<string | undefined>, isDirty: State<boolean>): {
    isValid: State<boolean>;
    errorClassName: State<string | undefined>;
    validate: () => PromiseWithCancelled | boolean;
    reset: () => void;
};
export {};
