import { Component, TypeDefs } from 'intact-vue-next';
import { Value } from './constants';
export interface RowProps {
    gutter?: Value;
    justify: 'start' | 'end' | 'center' | 'between' | 'around' | 'evenly';
    align: 'top' | 'bottom' | 'middle' | 'stetch' | 'baseline';
}
export declare class Row extends Component<RowProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<RowProps>>;
    private gutter;
}
