import { Component, TypeDefs } from 'intact-vue-next';
import { Sizes } from '../../styles/utils';
export interface SearchProps {
    placeholder?: string;
    value?: string;
    type?: 'default' | 'line';
    size?: Sizes;
    open?: boolean;
}
export interface SearchEvents {
    submit: [string];
}
export declare class Search extends Component<SearchProps, SearchEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<SearchProps>>;
    static defaults: () => Partial<SearchProps>;
    private elementRef;
    private inputRef;
    init(): void;
    open(): void;
    hide(): void;
    onClickBtn(): void;
    onChangeValue(v: SearchProps['value']): void;
    onSubmit(e: Event): void;
    submit(): void;
}
