import '../../styles/global';
declare const menu: {
    width: string;
    bgColor: string;
    fontSize: string;
    readonly borderRadius: string;
    item: {
        height: string;
        padding: string;
        color: string;
        hoverColor: string;
        readonly disabledColor: string;
        readonly activeBgColor: string;
        dotFontSize: string;
    };
    icon: {
        width: string;
        gap: string;
    };
    header: {
        height: string;
        fontSize: string;
        borderBottom: string;
    };
    subBgColor: string;
    light: {
        bgColor: string;
        subBgColor: string;
        border: string;
        item: {
            readonly color: string;
            readonly hoverColor: string;
            disabledColor: string;
        };
    };
    white: {
        bgColor: string;
        subBgColor: string;
        border: string;
        item: {
            readonly color: string;
            readonly hoverColor: string;
            readonly disabledColor: string;
        };
        active: {
            readonly color: string;
            readonly bgColor: string;
        };
    };
    dropdown: {
        minWidth: string;
    };
    large: {
        width: string;
        readonly fontSize: string;
    };
    small: {
        width: string;
        readonly fontSize: string;
    };
};
export { menu };
export declare function makeMenuStyles(): string;
export declare function makeTitleStyles(): string;
export declare function makeItemStyles(): string;
