import { Component, TypeDefs } from 'intact-vue-next';
export interface RateProps {
    value?: number;
    count?: number;
    disabled?: boolean;
    half?: boolean;
    clearable?: boolean;
}
export interface RateEvents {
    mouseleave: [MouseEvent];
}
export interface RateBlocks {
    icon: null;
}
export declare class Rate extends Component<RateProps, RateEvents, RateBlocks> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<RateProps>>;
    static defaults: () => Partial<RateProps>;
    private activeValue;
}
