declare type MarkKey = string | number;
declare type MarkValue = MarkKey | [MarkKey] | [MarkKey, MarkKey];
export declare type Marks = Record<MarkKey, MarkValue>;
declare type Mark = {
    value: number;
    raw: MarkValue;
    style: Style;
    active: boolean;
    text: string | number;
};
declare type Style = {
    left: string;
};
export declare function useMarks(): () => Mark[];
export {};
