import type { Tooltip, TooltipProps } from '../tooltip/tooltip';
import { State } from '../../hooks/useState';
import type { Value } from './useValue';
export declare function useTooltip(showValue: State<Value>): {
    firstTooltipRef: import('intact-vue-next').RefObject<Tooltip<TooltipProps, import("../tooltip/tooltip").TooltipEvents, import("../tooltip/tooltip").TooltipBlocks>>;
    secondTooltipRef: import("intact").RefObject<Tooltip<TooltipProps, import("../tooltip/tooltip").TooltipEvents, import("../tooltip/tooltip").TooltipBlocks>>;
    getTooltipProps: () => TooltipProps;
    show: () => void;
    hide: () => void;
};
