import { Component } from 'intact-vue-next';
import type { StepObject, StepFunction } from './';
declare type Direction = 'increase' | 'decrease';
export declare type NormalizedGetStep = (value: number, direction?: Direction) => [number, number];
interface StepComponentProps {
    step?: number | StepObject | StepFunction;
    min?: number;
    max?: number;
}
interface StepComponent extends Component<StepComponentProps> {
}
export declare function useStep<T extends StepComponent>(defaultStep: number): (value: number, direction?: Direction | undefined) => [number, number];
export {};
