import { NormalizedGetStep } from './useStep';
import type { useFormatter } from './useFormatter';
export declare function useValue(getStep: NormalizedGetStep, formatter: ReturnType<typeof useFormatter>): {
    showValue: import("../../hooks/useState").State<string | number | undefined>;
    fixValue: (value: number | string, fallbackValue: number) => void;
    getFixedValue: (value: number | string, fallbackValue: number) => {
        valueString: string;
        value: number;
    };
};
/**
 * return max min or multiple by step
 */
export declare function minMaxStep(value: number, min: number, max: number, step: number | null): number;
