import { createElementVNode as _$ce, noop as _$no, className as _$cn } from 'intact-vue-next';
import { makeStyles } from './style';
import { kls } from './style';
export default function ($props, $blocks, $__proto__) {
  var _classNameObj, _style, _style2;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;
  var _$blocks = {};
  var __$blocks = {};

  var _this$get = this.get(),
      mode = _this$get.mode;

  var _this$size = this.size,
      firstSize = _this$size.firstSize,
      lastSize = _this$size.lastSize;
  var _this$drag = this.drag,
      firstRef = _this$drag.firstRef,
      lastRef = _this$drag.lastRef,
      elementRef = _this$drag.elementRef,
      start = _this$drag.start,
      dragging = _this$drag.dragging;
  var classNameObj = (_classNameObj = {
    'k-split': true
  }, _classNameObj["k-" + mode] = true, _classNameObj[makeStyles()] = true, _classNameObj['k-first-auto'] = firstSize.value === 'auto', _classNameObj['k-last-auto'] = lastSize.value === 'auto', _classNameObj['k-resizing'] = dragging.value, _classNameObj);
  var stylePropName = mode === 'horizontal' ? 'width' : 'height';
  return _$ce(2, 'div', [_$ce(2, 'div', (_$blocks['first'] = function ($super) {
    return null;
  }, __$blocks['first'] = function ($super, data) {
    var block = $blocks['first'];

    var callBlock = function callBlock() {
      return _$blocks['first'].call($this, $super, data);
    };

    return block ? block.call($this, callBlock, data) : callBlock();
  }, __$blocks['first'](_$no)), 0, _$cn(kls('first')), {
    'style': (_style = {}, _style[stylePropName] = firstSize.value, _style)
  }, null, firstRef), _$ce(2, 'div', (_$blocks['drag'] = function ($super) {
    return _$ce(2, 'div', _$ce(2, 'div', null, 1, _$cn(kls('drag-lines'))), 2, _$cn(kls('line')));
  }, __$blocks['drag'] = function ($super, data) {
    var block = $blocks['drag'];

    var callBlock = function callBlock() {
      return _$blocks['drag'].call($this, $super, data);
    };

    return block ? block.call($this, callBlock, data) : callBlock();
  }, __$blocks['drag'](_$no)), 0, _$cn(kls('line-wrapper')), {
    'ev-mousedown': start
  }), _$ce(2, 'div', (_$blocks['last'] = function ($super) {
    return null;
  }, __$blocks['last'] = function ($super, data) {
    var block = $blocks['last'];

    var callBlock = function callBlock() {
      return _$blocks['last'].call($this, $super, data);
    };

    return block ? block.call($this, callBlock, data) : callBlock();
  }, __$blocks['last'](_$no)), 0, _$cn(kls('last')), {
    'style': (_style2 = {}, _style2[stylePropName] = lastSize.value, _style2)
  }, null, lastRef)], 4, _$cn(classNameObj), null, null, elementRef);
}
;