import { Component, TypeDefs } from 'intact-vue-next';
export * from './step';
export interface StepsProps {
    value?: number;
    status?: 'normal' | 'error';
    type?: 'default' | 'line' | 'simple';
    clickable?: boolean;
}
export declare class Steps extends Component<StepsProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<StepsProps>>;
    static defaults: () => Partial<StepsProps>;
    private changeIndex;
}
