import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createUnknownComponentVNode as _$cc, createVNode as _$cv, className as _$cn, createElementVNode as _$ce } from 'intact-vue-next';
import { linkEvent } from 'intact';
import { getRestProps, addStyle } from '../utils';
import { makeStepStyles } from './styles';
import { context as StepsContext } from './context';
export default function ($props, $blocks, $__proto__) {
  var _this = this;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      _children = _this$get.children,
      title = _this$get.title,
      index = _this$get.index,
      className = _this$get.className,
      style = _this$get.style;

  return _$cc(StepsContext.Consumer, {
    'children': function children(_ref) {
      var _classNameObj;

      var value = _ref.value,
          status = _ref.status,
          width = _ref.width,
          onChange = _ref.onChange;
      var selected = value === index;
      var error = selected && status === 'error';
      var classNameObj = (_classNameObj = {
        'k-step': true,
        'k-active': selected,
        'k-done': value > index,
        'k-error': error
      }, _classNameObj[className] = className, _classNameObj[makeStepStyles()] = true, _classNameObj);
      return _$cv('div', _extends({}, getRestProps(_this), {
        'className': _$cn(classNameObj),
        'style': addStyle(style, {
          width: width
        }),
        'ev-click': linkEvent(index, onChange)
      }), [_$ce(2, 'div', null, 1, 'k-step-tail'), _$ce(2, 'div', [_$ce(2, 'div', _$ce(2, 'div', error ? _$ce(2, 'i', null, 1, 'k-step-icon ion-ios-close-empty') : _$ce(2, 'span', index + 1, 0), 2, 'k-step-inner'), 2, 'k-step-head'), _$ce(2, 'div', [_$ce(2, 'div', title, 0, 'k-step-title'), _$ce(2, 'div', _children, 0, 'k-step-content')], 4, 'k-step-main')], 4, 'k-step-wrapper')]);
    }
  });
}
;