import { Props } from 'intact-vue-next';
import type { TableColumnProps } from './column';
export declare type TableMerge = (row: any, column: Props<TableColumnProps> | null, rowIndex: number, columnIndex: number) => TableMergeConfig | undefined;
export declare type TableMergeConfig = {
    colspan?: number;
    rowspan?: number;
};
export declare type TableGridItem = {
    render: boolean;
    spans: TableMergeConfig | undefined;
};
export declare type TableGrid = TableGridItem[][];
export declare function useMerge(getCols: () => Props<TableColumnProps>[]): {
    getGrid: () => TableGrid;
};
