import type { TableRowKey } from './table';
export declare function useTree(): {
    isSpreaded: (key: TableRowKey) => boolean;
    toggleSpreadRow: (key: TableRowKey) => void;
    loopData: <T>(cb: (value: any, index: number, level: number, meta: T | null) => T, shouldBreak?: boolean) => void;
};
export declare function loopDataWithChildrenKey<T>(data: any[] | undefined, childrenKey: string | undefined, cb: (value: any, index: number, level: number, meta: T | null) => T, shouldBreak: boolean): void;
