import dayjs from '../datepicker/dayjs';
import { BasePickerProps, BasePickerEvents, BasePickerBlocks } from '../datepicker/basepicker';
import { TypeDefs } from 'intact-vue-next';
export declare const YEAR_FORMAT = "YYYY-MM-DD ";
export declare const TIME_FORMAT = "HH:mm:ss";
export declare const NOW: dayjs.Dayjs;
export declare const PREFIX: string;
export interface TimepickerProps extends BasePickerProps<string> {
    step?: string;
}
export interface TimepickerEvents extends BasePickerEvents {
}
export interface TimepickerBlocks extends BasePickerBlocks {
}
export declare const typeDefs: Required<TypeDefs<TimepickerProps>>;
