import type { useFormats } from './useFormats';
import { PanelFlags } from '../datepicker/usePanel';
export declare function useDisabled(formats: ReturnType<typeof useFormats>): {
    isDisabled: (value: import("dayjs").Dayjs, type?: "second" | "month" | "year" | "date") => boolean;
    isDisabledConfirm: () => boolean;
    maxDate: import("../../hooks/useState").State<import("dayjs").Dayjs | null>;
    minDate: import("../../hooks/useState").State<import("dayjs").Dayjs | null>;
    isDisabledTime: (value: import("dayjs").Dayjs, flag: PanelFlags) => boolean;
    isDisabledTimeByStep: (value: string, flag: PanelFlags) => boolean;
};
