import type { useFormats } from './useFormats';
import { StateValueItem } from '../datepicker/basepicker';
import type { useDisabled } from '../datepicker/useDisabled';
import type { usePanel } from '../datepicker/usePanel';
import { PanelFlags } from '../datepicker/usePanel';
export declare function useValue(formats: ReturnType<typeof useFormats>, disabled: ReturnType<typeof useDisabled>, panel: ReturnType<typeof usePanel>): {
    format: () => string | string[];
    onConfirm: () => void;
    getTimeValue: (flag: PanelFlags) => import("dayjs").Dayjs | null | undefined;
    convertToDayjs: (v: import("../datepicker/basepicker").Value | import("../datepicker/basepicker").Value[] | [import("../datepicker/basepicker").Value, import("../datepicker/basepicker").Value] | [import("../datepicker/basepicker").Value, import("../datepicker/basepicker").Value][] | null | undefined) => import("../datepicker/basepicker").DayjsValue;
    value: import("../../hooks/useState").State<import("../datepicker/basepicker").StateValue>;
    setValue: (v: StateValueItem, fromInput: boolean) => void;
    getDayjsValue: () => import("../datepicker/basepicker").DayjsValue;
    onChangeTime: (date: import("dayjs").Dayjs, flag: PanelFlags) => void;
    onChangeTimeByStep: (v: string, flag: PanelFlags) => void;
};
