import { Children } from 'intact-vue-next';
import { Tooltip as BaseTooltip, TooltipProps as BaseTooltipProps, TooltipEvents, TooltipBlocks as BaseTooltipBlocks } from './tooltip';
import { TooltipContentBlocks } from './content';
export type { TooltipEvents, };
export interface TooltipProps extends BaseTooltipProps {
    content?: Children;
}
export interface TooltipBlocks extends BaseTooltipBlocks, TooltipContentBlocks {
    content: null;
}
declare class _Tooltip extends BaseTooltip<TooltipProps, TooltipEvents, TooltipBlocks> {
}
export declare const Tooltip: typeof _Tooltip;
