export declare type ThemeValue<T> = T;
export declare type Theme = {
    [name: string]: ThemeValue<string> | ThemeValue<number> | Theme;
};
export declare const theme: {
    large: {
        height: string;
        fontSize: string;
        padding: string;
    };
    default: {
        height: string;
        fontSize: string;
        padding: string;
    };
    small: {
        height: string;
        fontSize: string;
        padding: string;
    };
    mini: {
        height: string;
        fontSize: string;
        padding: string;
    };
    color: {
        lightBlack: string;
        primary: string;
        warning: string;
        danger: string;
        success: string;
        border: string;
        text: string;
        ghost: string;
        bg: string;
        title: string;
        darkBorder: string;
        placeholder: string;
        readonly link: string;
        readonly linkHover: string;
        disabled: string;
        disabledBg: string;
        disabledBorder: string;
    };
    borderRadius: string;
    boxShadow: string;
    fontSize: string;
    lineHeight: number;
    maxZIndex: number;
    midZIndex: number;
    transition: string;
};
