import { Component, TypeDefs } from 'intact-vue-next';
export interface AffixProps {
    top?: number;
    bottom?: number;
    exclude?: (data: ExcludeParam) => boolean;
    shouldFix?: (data: ShouldFixParam) => boolean;
}
export interface AffixEvents {
    change: [boolean];
}
export declare type ExcludeParam = {
    offsetTop?: number;
    offsetBottom?: number;
    top: number;
    bottom: number;
    width: number;
    height: number;
};
export declare type ShouldFixParam = {
    offsetTop?: number;
    offsetBottom?: number;
    viewportHeight?: number;
};
export declare class Affix extends Component<AffixProps, AffixEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<AffixProps>>;
    private elementRef;
    private style;
}
