import { css } from '@emotion/css';
import { theme } from '../../styles/theme';
import { deepDefaults } from '../../styles/utils';
import '../../styles/global';

var _deepDefaults = deepDefaults(theme, {
  affix: {
    zIndex: 9
  }
}),
    affix = _deepDefaults.affix;

export function makeStyles() {
  return /*#__PURE__*/css("position:relative;z-index:", affix.zIndex, ";");
}