import { Component, TypeDefs } from 'intact-vue-next';
export * from './item';
export interface CarouselProps {
    value: string;
    autoplay: number | boolean;
    arrow: 'hover' | 'always' | 'never';
    effect: 'slide' | 'fade';
    clonedAmount: number;
}
export declare class Carousel extends Component<CarouselProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<CarouselProps>>;
    static defaults: () => Partial<CarouselProps>;
    private items;
    private slide;
    private autoplay;
    isActive(value: string): boolean;
    getIndex(): number;
    setIndex(index: number): void;
    prev(): void;
    next(): void;
    private setValue;
}
