import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _concatInstanceProperty from "@babel/runtime-corejs3/core-js/instance/concat";
import { Component } from 'intact-vue-next';
import template from './index.vdt';
import { useEditor } from './useEditor';
var typeDefs = {
  value: String,
  language: String,
  theme: ['vs', 'vs-dark', 'hc-black'],
  readOnly: Boolean,
  width: String,
  height: String,
  options: Object
};

var defaults = function defaults() {
  return {
    value: '',
    language: 'javascript',
    theme: 'vs',
    options: {}
  };
};

export var Code = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Code, _Component);

  function Code() {
    var _context;

    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _Component.call.apply(_Component, _concatInstanceProperty(_context = [this]).call(_context, args)) || this;
    _this.editor = useEditor();
    return _this;
  }

  return Code;
}(Component);
Code.template = template;
Code.typeDefs = typeDefs;
Code.defaults = defaults;