import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createVNode as _$cv, className as _$cn, createUnknownComponentVNode as _$cc } from 'intact-vue-next';
import { addStyle, getRestProps } from '../utils';
import { Spin } from '../spin';
import { makeStyles } from './styles';
var _$tmp0 = {
  'center': true,
  'overlay': true,
  'size': 'small'
};
export default function ($props, $blocks, $__proto__) {
  var _classNameObj;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      width = _this$get.width,
      height = _this$get.height,
      className = _this$get.className,
      style = _this$get.style;

  var classNameObj = (_classNameObj = {
    'k-code': true
  }, _classNameObj[className] = className, _classNameObj[makeStyles()] = true, _classNameObj);

  if (width || height) {
    var _style = {};

    if (width) {
      _style.width = width;
    }

    if (height) {
      _style.height = height;
    }

    style = addStyle(style, _style);
  }

  var _this$editor = this.editor,
      elementRef = _this$editor.elementRef,
      loading = _this$editor.loading;
  return _$cv('div', _extends({
    'className': _$cn(classNameObj)
  }, getRestProps(this), {
    'style': style,
    'ref': elementRef
  }), loading.value ? _$cc(Spin, _$tmp0) : undefined);
}
;