import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { Component } from 'intact-vue-next';
import template from './index.vdt';
import { sizes } from '../../styles/utils';
var typeDefs = {
  value: {
    type: String,
    required: true
  },
  presets: Array,
  size: sizes,
  disabled: Boolean
};

var defaults = function defaults() {
  return {
    presets: ['#D0021B', '#F5A623', '#F8E71C', '#8B572A', '#7ED321', '#417505', '#BD10E0', '#9013FE', '#4A90E2', '#50E3C2', '#B8E986', '#000000', '#4A4A4A', '#9B9B9B', '#FFFFFF'],
    size: 'default'
  };
};

export var Colorpicker = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Colorpicker, _Component);

  function Colorpicker() {
    return _Component.apply(this, arguments) || this;
  }

  return Colorpicker;
}(Component);
Colorpicker.template = template;
Colorpicker.typeDefs = typeDefs;
Colorpicker.defaults = defaults;