import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createVNode as _$cv, className as _$cn, createUnknownComponentVNode as _$cc, createElementVNode as _$ce } from 'intact-vue-next';
import { Tooltip } from '../tooltip';
import { getRestProps } from '../utils';
import { makeStyles } from './styles';
import { ColorpickerPanel } from './panel';
import { Dropdown, DropdownMenu } from '../dropdown';
export default function ($props, $blocks, $__proto__) {
  var _classNameObj;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      className = _this$get.className,
      transition = _this$get.transition,
      presets = _this$get.presets,
      value = _this$get.value,
      size = _this$get.size,
      disabled = _this$get.disabled;

  var classNameObj = (_classNameObj = {
    'k-colorpicker': true
  }, _classNameObj[className] = className, _classNameObj["k-" + size] = size !== 'default', _classNameObj['k-disabled'] = disabled, _classNameObj[makeStyles()] = true, _classNameObj);
  return _$cv('div', _extends({
    'className': _$cn(classNameObj)
  }, getRestProps(this)), _$cc(Dropdown, {
    'className': 'k-colorpicker-content',
    'position': {
      my: 'left top+8',
      at: 'left bottom',
      collision: 'flip'
    },
    'trigger': 'click',
    'disabled': disabled,
    'children': [_$ce(2, 'div', _$ce(2, 'div', null, 1, 'k-colorpicker-inner', {
      'style': {
        backgroundColor: value
      }
    }), 2, 'k-colorpicker-color'), _$cc(DropdownMenu, {
      'children': _$cc(ColorpickerPanel, {
        'presets': presets,
        'ev-$model:value': function ev$modelValue($v) {
          $this.set('value', $v);
        },
        'value': $this.get('value')
      })
    })]
  }));
}
;