import '../../styles/global';
declare const datepicker: {
    width: string;
    padding: string;
    border: string;
    item: {
        gutter: string;
        height: string;
        readonly hoverBgColor: string;
        readonly exceedColor: string;
        readonly todayBorder: string;
        readonly borderRadius: string;
        active: {
            readonly bgColor: string;
            color: string;
            todayBorderColor: string;
        };
        disabled: {
            color: string;
            hoverBgColor: string;
        };
        range: {
            readonly bgColor: string;
        };
    };
    weekday: {
        padding: string;
    };
    month: {
        padding: string;
        fontSize: string;
        valueGap: string;
    };
    footer: {
        padding: string;
    };
    shortcuts: {
        width: string;
        padding: string;
        shortcut: {
            readonly hoverBgcolor: string;
            height: string;
            padding: string;
        };
    };
};
export { datepicker };
export declare function makePanelStyles(): string;
export declare function makeCalendarStyles(): string;
export declare function makeTimeStyles(): string;
