import dayjs, { Dayjs } from 'dayjs';
import { State } from '../../hooks/useState';
import type { useStatus } from './useStatus';
export declare function useDays(showDate: State<Dayjs>, status: ReturnType<typeof useStatus>, focusDate: State<Dayjs | null>): {
    getDays: (now: Dayjs) => {
        isExceed: boolean;
        isActive: boolean;
        isToday: boolean;
        isDisabled: boolean;
        isHover: boolean;
        isInRange: boolean;
        label: number;
        value: dayjs.Dayjs;
    }[];
    onClick: (value: dayjs.Dayjs) => void;
};
