import { State } from '../../hooks/useState';
import { Dayjs } from 'dayjs';
import type { useFormats } from './useFormats';
import { PanelFlags } from './usePanel';
export declare function useDisabled({ createDateByValueFormat }: ReturnType<typeof useFormats>): {
    isDisabled: (value: Dayjs, type?: 'date' | 'year' | 'month' | 'second') => boolean;
    isDisabledTime: (value: Dayjs, flag: PanelFlags) => boolean;
    isDisabledConfirm: () => boolean;
    maxDate: State<Dayjs | null>;
    minDate: State<Dayjs | null>;
};
