import dayjs, { Dayjs } from 'dayjs';
import { State } from '../../hooks/useState';
import type { useStatus } from './useStatus';
export declare function useMonths(showDate: State<Dayjs>, status: ReturnType<typeof useStatus>, focusDate: State<Dayjs | null>): {
    getMonths: (now: Dayjs) => {
        isActive: boolean;
        isToday: boolean;
        isDisabled: boolean;
        isHover: boolean;
        isInRange: boolean;
        label: string;
        value: dayjs.Dayjs;
    }[];
    onClick: (date: Dayjs) => void;
};
