import { DatepickerCalendar } from './calendar';
export declare enum PanelTypes {
    Date = 0,
    Time = 1
}
export declare enum PanelFlags {
    Start = 0,
    End = 1
}
export declare function usePanel(type?: PanelTypes): {
    startPanel: import("../../hooks/useState").State<PanelTypes>;
    endPanel: import("../../hooks/useState").State<PanelTypes>;
    changePanel: (type: PanelTypes, flag?: PanelFlags) => void;
    getPanel: (flag: PanelFlags) => import("../../hooks/useState").State<PanelTypes>;
    reset: () => void;
    startRef: import('intact-vue-next').RefObject<DatepickerCalendar>;
    endRef: import("intact").RefObject<DatepickerCalendar>;
};
