import { StateValueItem } from './basepicker';
import { Dayjs } from 'dayjs';
import type { useFormats } from './useFormats';
import type { useDisabled } from './useDisabled';
import { PanelFlags, usePanel } from './usePanel';
export declare function useValue(formats: ReturnType<typeof useFormats>, disabled: ReturnType<typeof useDisabled>, panel: ReturnType<typeof usePanel>): {
    format: () => string | string[];
    onConfirm: () => void;
    onChangeTime: (date: Dayjs, flag: PanelFlags) => void;
    getTimeValue: (flag: PanelFlags) => Dayjs | null | undefined;
    convertToDayjs: (v: import("./basepicker").Value | import("./basepicker").Value[] | [import("./basepicker").Value, import("./basepicker").Value] | [import("./basepicker").Value, import("./basepicker").Value][] | null | undefined) => import("./basepicker").DayjsValue;
    getDayjsValue: () => import("./basepicker").DayjsValue;
    value: import("../../hooks/useState").State<import("./basepicker").StateValue>;
    setValue: (v: StateValueItem, fromInput: boolean) => void;
    onChangeDate: (v: Dayjs, flag: PanelFlags) => void;
};
