declare const style: {
    defaultVertex: {
        shape: string;
        perimeter: string;
        fontSize: number;
        fontFamily: string;
        align: string;
        verticalAlign: string;
        fillColor: string;
        strokeColor: string;
        fontColor: string;
    };
    defaultEdge: {
        shape: string;
        labelBackgroundColor: string;
        endArrow: string;
        fontSize: number;
        fontFamily: string;
        align: string;
        verticalAlign: string;
        rounded: number;
        strokeColor: string;
        fontColor: string;
    };
    text: {
        fillColor: string;
        gradientColor: string;
        strokeColor: string;
        align: string;
        verticalAlign: string;
    };
    label: {
        fontStyle: number;
        align: string;
        verticalAlign: string;
        spacing: number;
        spacingLeft: number;
        imageWidth: number;
        imageHeight: number;
        rounded: number;
    };
    icon: {
        fontStyle: number;
        align: string;
        verticalAlign: string;
        spacing: number;
        spacingLeft: number;
        imageWidth: number;
        imageHeight: number;
        rounded: number;
        imageAlign: string;
        verticalLabelPosition: string;
        spacingTop: number;
        labelBackgroundColor: string;
    };
    swimline: {
        shape: string;
        fontSize: number;
        fontStyle: number;
        startSize: number;
    };
    group: {
        verticalAlign: string;
        fillColor: string;
        strokeColor: string;
        gradientColor: string;
        pointerEvents: number;
    };
    ellipse: {
        shape: string;
        perimeter: string;
    };
    rhombus: {
        shape: string;
        perimeter: string;
    };
    triangle: {
        shape: string;
        perimeter: string;
    };
    line: {
        shape: string;
        strokeWidth: number;
        labelBackgroundColor: string;
        verticalAlign: string;
        spacingTop: number;
    };
    image: {
        shape: string;
        labelBackgroundColor: string;
        verticalAlign: string;
        verticalLabelPosition: string;
    };
    roundImage: {
        shape: string;
        labelBackgroundColor: string;
        verticalAlign: string;
        verticalLabelPosition: string;
        perimeter: string;
    };
    rhombusImage: {
        shape: string;
        labelBackgroundColor: string;
        verticalAlign: string;
        verticalLabelPosition: string;
        perimeter: string;
    };
    arrow: {
        shape: string;
        edgeStyle: string;
        fillColor: string;
    };
};
export default style;
