import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
import type { Cell } from '../shapes/base';
import type { DShape } from '../shapes/shape';
import type { Diagram } from '../diagram';
export interface DCircleLayoutProps extends DLayoutProps {
    x0?: number | string;
    y0?: number | string;
}
export declare class DCircleLayout extends DLayout<DCircleLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DCircleLayoutProps>>;
    static defaults: () => Partial<DCircleLayoutProps>;
    protected getLayout(graph: any): any;
    protected execute(layout: any, cells: Cell[], parent: DShape | Diagram, graph: any): void;
}
