import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
export interface DFlowLayoutProps extends DLayoutProps {
    type?: 'horizontal' | 'vertical';
    intraCellSpacing?: number | string;
    interRankCellSpacing?: number | string;
    interHierarchySpacing?: number | string;
    resizeParent?: boolean;
    parentBorder?: number | string;
}
export declare class DFlowLayout extends DLayout<DFlowLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DFlowLayoutProps>>;
    static defaults: () => Partial<DFlowLayoutProps>;
    protected getLayout(graph: any): any;
}
