import { TypeDefs } from 'intact-vue-next';
import { DLayout, DLayoutProps } from './layout';
export interface DPartitionLayoutProps extends DLayoutProps {
    type?: 'horizontal' | 'vertical';
    spacing?: number | string;
    border?: number | string;
    resizeVertices?: boolean;
}
export declare class DPartitionLayout extends DLayout<DPartitionLayoutProps> {
    static displayName: string;
    static typeDefs: Required<TypeDefs<DPartitionLayoutProps>>;
    static defaults: () => Partial<DPartitionLayoutProps>;
    protected getLayout(graph: any): any;
}
