import _extends from "@babel/runtime-corejs3/helpers/extends";
import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { DShape } from './shape';
import mx from '../mxgraph';
var mxGeometry = mx.mxGeometry;
export var DCircle = /*#__PURE__*/function (_DShape) {
  _inheritsLoose(DCircle, _DShape);

  function DCircle() {
    return _DShape.apply(this, arguments) || this;
  }

  DCircle.defaults = function defaults() {
    return _extends({}, DShape.defaults(), {
      width: 80
    });
  };

  var _proto = DCircle.prototype;

  _proto.getGeometry = function getGeometry() {
    var _this$get = this.get(),
        width = _this$get.width,
        left = _this$get.left,
        top = _this$get.top;

    return new mxGeometry(+left, +top, +width, +width);
  };

  _proto.getStylesheet = function getStylesheet() {
    return 'ellipse;whiteSpace=wrap;html=1;aspect=fixed;';
  };

  return DCircle;
}(DShape);
DCircle.displayName = 'DCircle';