import _extends from "@babel/runtime-corejs3/helpers/extends";
import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { DShape } from './shape';
import mx from '../mxgraph';
var mxGeometry = mx.mxGeometry;
export var DEllipse = /*#__PURE__*/function (_DShape) {
  _inheritsLoose(DEllipse, _DShape);

  function DEllipse() {
    return _DShape.apply(this, arguments) || this;
  }

  DEllipse.defaults = function defaults() {
    return _extends({}, DShape.defaults(), {
      width: 120,
      height: 80
    });
  };

  var _proto = DEllipse.prototype;

  _proto.getStylesheet = function getStylesheet() {
    return 'ellipse;whiteSpace=wrap;html=1;';
  };

  return DEllipse;
}(DShape);
DEllipse.displayName = 'DEllipse';