import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _extends from "@babel/runtime-corejs3/helpers/extends";
import { DShape } from './shape';

var typeDefs = _extends({}, DShape.typeDefs, {
  rounded: [Number, String]
});

export var DRectangle = /*#__PURE__*/function (_DShape) {
  _inheritsLoose(DRectangle, _DShape);

  function DRectangle() {
    return _DShape.apply(this, arguments) || this;
  }

  DRectangle.defaults = function defaults() {
    return _extends({}, DShape.defaults(), {
      width: 120,
      height: 60,
      rounded: 0
    });
  };

  var _proto = DRectangle.prototype;

  _proto.getStylesheet = function getStylesheet() {
    var _this$get = this.get(),
        rounded = _this$get.rounded;

    return "rounded=" + (+rounded ? 1 : 0) + ";whiteSpace=wrap;html=1;arcSize=" + rounded;
  };

  return DRectangle;
}(DShape);
DRectangle.displayName = 'DRectangle';
DRectangle.typeDefs = typeDefs;