import _extends from "@babel/runtime-corejs3/helpers/extends";
import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { DRectangle } from './rectangle';
import mx from '../mxgraph';
var mxGeometry = mx.mxGeometry;
export var DSquare = /*#__PURE__*/function (_DRectangle) {
  _inheritsLoose(DSquare, _DRectangle);

  function DSquare() {
    return _DRectangle.apply(this, arguments) || this;
  }

  DSquare.defaults = function defaults() {
    return _extends({}, DRectangle.defaults(), {
      width: 80
    });
  };

  var _proto = DSquare.prototype;

  _proto.getStylesheet = function getStylesheet() {
    var stylesheet = _DRectangle.prototype.getStylesheet.call(this);

    return stylesheet + "aspect=fixed;";
  };

  _proto.getGeometry = function getGeometry() {
    var _this$get = this.get(),
        width = _this$get.width,
        left = _this$get.left,
        top = _this$get.top;

    return new mxGeometry(+left, +top, +width, +width);
  };

  return DSquare;
}(DRectangle);
DSquare.displayName = 'DSquare';