import { scrollbarWidth } from '../position';
var amount = 0;
var originalStyle = null;
export function onOpen() {
  var body = document.body;

  if (!amount) {
    var bodyStyle = body.style;
    originalStyle = body.getAttribute('style');
    bodyStyle.overflow = 'hidden';
    var scrollBarWidth = shouldFixBody();

    if (scrollBarWidth) {
      bodyStyle.paddingRight = scrollBarWidth + "px";
    }
  }

  amount++;
}
export function onClosed() {
  var body = document.body;
  amount--;

  if (!amount) {
    if (originalStyle) {
      body.setAttribute('style', originalStyle);
    } else {
      body.removeAttribute('style');
    }
  }
}

function shouldFixBody() {
  if (document.body.scrollHeight > (window.innerHeight || document.documentElement.clientHeight)) {
    return scrollbarWidth();
  }
}