import { BaseDialog, BaseDialogProps, BaseDialogEvents } from './base';
import { VNodeComponentClass, Props, ComponentClass } from 'intact-vue-next';
export interface DialogProps extends BaseDialogProps {
}
export interface DialogEvents extends BaseDialogEvents {
}
export declare class Dialog extends BaseDialog<DialogProps, DialogEvents> {
    useAsComponent: boolean;
    constructor(props: Props<DialogProps, Dialog> | null | undefined, $vNode?: VNodeComponentClass, $SVG?: boolean, $mountedQueue?: Function[], $parent?: ComponentClass | null);
    init(): void;
    show(props?: DialogProps): Promise<unknown>;
}
