import { Component, TypeDefs } from 'intact-vue-next';
import { Dropdown } from './dropdown';
export interface DropdownItemProps {
    disabled?: boolean;
    hideOnSelect?: boolean;
    _isFocus?: boolean;
}
export interface DropdownItemEvents {
    select: [];
    click: [MouseEvent];
    mouseenter: [MouseEvent];
    mouseleave: [MouseEvent];
}
export declare class DropdownItem extends Component<DropdownItemProps, DropdownItemEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<DropdownItemProps>>;
    static defaults: () => Partial<DropdownItemProps>;
    parentDropdown?: Dropdown;
    private dropdown;
    private keyboard;
    private dropdownMenu;
    init(): void;
    select(): void;
    hasSubMenu(): Dropdown<any, any, any> | undefined;
    private onClick;
}
