import { TransitionElement } from 'intact-vue-next';
import type { FeedbackCallback } from './usePosition';
export declare function useTransition(getFeedback: (callback: FeedbackCallback) => void): {
    onEnter: (el: TransitionElement, done: Function) => void;
    onEnterCancelled: (el: TransitionElement) => void;
    onLeave: (el: TransitionElement, done: Function) => void;
    onLeaveCancelled: (el: TransitionElement) => void;
};
