import { css } from '@emotion/css';
import { theme } from '../../styles/theme';
import { deepDefaults } from '../../styles/utils';
import '../../styles/global';

var _deepDefaults = deepDefaults(theme, {
  editable: {
    iconGap: '0 0 0 8px',
    lineHeight: '30px',
    // invalid
    invalid: {
      get border() {
        return "1px solid " + theme.color.danger;
      }

    }
  }
}),
    editable = _deepDefaults.editable;

export { editable };
export function makeStyles() {
  return /*#__PURE__*/css("display:inline-block;line-height:", editable.lineHeight, ";.k-editable-icon{float:right;cursor:pointer;margin:", editable.iconGap, ";line-height:unset;}&.k-invalid{.k-input-inner{border:", editable.invalid.border, ";}}");
}