export declare type Method = (value: any, param: any) => boolean | string;
export declare type Message = string | ((value: any, param: any) => string);
export declare type ClassName = string | ((value: any, param: any) => string);
export declare const methods: Record<string, Method>;
export declare const messages: Record<string, Message>;
export declare const classNames: Record<string, ClassName>;
export declare const addMethod: (name: string, method: Method, message?: Message | undefined, className?: ClassName | undefined) => void;
