import { Component, TypeDefs } from 'intact-vue-next';
import { PrimitiveValue, BreakpointValues } from './constants';
export declare type BaseColProps = {
    span?: PrimitiveValue;
    offset?: PrimitiveValue;
    order?: PrimitiveValue;
    pull?: PrimitiveValue;
    push?: PrimitiveValue;
};
export declare type BreakpointProps = BreakpointValues<keyof BaseColProps>;
export declare type ColProps = BaseColProps & BreakpointProps;
export declare const baseTypeDefs: Required<TypeDefs<BaseColProps>>;
export declare class Col extends Component<ColProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<ColProps>>;
    private breakpoints;
}
