import { Component, TypeDefs } from 'intact-vue-next';
import { Sizes } from '../types';
export interface IconProps {
    size?: Sizes | string | number;
    color?: string;
    rotate?: boolean;
    hoverable?: boolean;
}
export declare class Icon extends Component<IconProps> {
    static displayName: string;
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<IconProps>>;
    static defaults: () => Partial<IconProps>;
    private colors;
}
