import { Component, TypeDefs } from 'intact-vue-next';
import type { MenuProps } from '../menu';
export interface AsideProps {
    collapse?: boolean;
    fixed?: boolean;
    theme?: MenuProps['theme'];
    width?: number | string;
}
export declare class Aside extends Component<AsideProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<AsideProps>>;
    static defaults: () => Partial<AsideProps>;
    private rootLayout;
    private getStyles;
}
