import { Component, TypeDefs } from 'intact-vue-next';
import type { MenuProps } from '../menu';
export interface HeaderProps {
    fixed?: boolean;
    height?: number | string;
    style?: string | Record<string, string>;
    theme?: MenuProps['theme'];
}
export declare class Header extends Component<HeaderProps> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<HeaderProps>>;
    static defaults: () => Partial<HeaderProps>;
    private rootLayout;
    private getClassNames;
    private getStyles;
}
