import { Component, TypeDefs, Key } from 'intact-vue-next';
export interface MenuProps {
    expandedKeys?: Key[];
    selectedKey?: Key;
    theme?: 'light' | 'dark' | 'white';
    collapse?: boolean;
    type?: 'vertical' | 'horizontal';
    size?: 'large' | 'default' | 'small';
    accordion?: boolean;
    dot?: boolean;
}
export interface MenuEvents {
}
export interface MenuBlocks {
    header: null;
}
export declare const MENU = "Menu";
export declare const ROOT_MENU = "RootMenu";
export declare class Menu extends Component<MenuProps, MenuEvents, MenuBlocks> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<MenuProps>>;
    static defaults: () => Partial<MenuProps>;
    rootMenu: Menu | null;
    parentMenu: Menu | null;
    init(): void;
}
