import { Component, TypeDefs } from 'intact-vue-next';
import { Sizes } from '../../styles/utils';
export interface PaginationProps {
    size?: Sizes;
    counts?: number | string;
    total?: number;
    current?: number;
    limit?: number;
    limits?: number[];
    noBorder?: boolean;
    simple?: boolean;
    showTotal?: boolean;
    showGoto?: boolean;
    showLimits?: boolean;
}
export interface PaginationEvents {
    change: [ChangeData];
}
declare type ChangeData = {
    limit: number;
    current: number;
};
export declare class Pagination extends Component<PaginationProps, PaginationEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<PaginationProps>>;
    static defaults: () => Partial<PaginationProps>;
    private ignore;
    init(): void;
    changePage(page: number): void;
    private prev;
    private next;
    private fastPrev;
    private fastNext;
    private goto;
}
export {};
