import { Component, TypeDefs } from 'intact-vue-next';
import { CommonInputHTMLAttributes } from '../types';
export interface RadioProps extends CommonInputHTMLAttributes {
    disabled?: boolean;
    value?: any;
    trueValue?: any;
}
export interface RadioEvents {
    click: [MouseEvent];
    change: [any, MouseEvent];
}
export declare class Radio extends Component<RadioProps, RadioEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<Omit<RadioProps, keyof CommonInputHTMLAttributes>>>;
    static defaults: () => Partial<RadioProps>;
    private elementRef;
    private onKeypress;
    private onClick;
    private fixClick;
}
