import { State } from '../../hooks/useState';
import type { Value } from './useValue';
export declare function useDraggable(showValue: State<Value>, fixValue: (value: Value, fixShowValue: boolean) => void, triggerChangeEvent: (value: Value) => void, showTooltip: () => void): {
    onStart: (e: MouseEvent) => void;
    dragging: State<boolean>;
    trackRef: import('intact-vue-next').RefObject<HTMLDivElement>;
    firstThumbRef: import("intact").RefObject<HTMLDivElement>;
    secondThumbRef: import("intact").RefObject<HTMLDivElement>;
    isFirst: () => boolean;
    onFocusin: (_isFirst: boolean) => void;
    getNewValue: (value: number) => Value;
    getSlidingValue: (pos: number) => number;
};
