import { NormalizedGetStep } from '../spinner/useStep';
export declare type Value = number | [number, number];
export declare function useValue(getStep: NormalizedGetStep, getDragging: () => boolean): {
    showValue: import("../../hooks/useState").State<Value>;
    onSpinnerChange: (v: number) => void;
    setValue: (value: Value) => void;
    triggerChangeEvent: (oldValue: Value) => void;
    fixValue: (value: Value, fixShowValue: boolean) => void;
};
