import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createVNode as _$cv, className as _$cn, createUnknownComponentVNode as _$cc } from 'intact-vue-next';
import { Button } from '../button';
import { Icon } from '../icon';
import { Input } from '../input';
import { getRestProps } from '../utils';
import { makeStyles } from './styles';
var _$tmp0 = {
  'className': 'k-spinner-icon ion-ios-minus-empty'
};
var _$tmp1 = {
  'className': 'k-spinner-icon ion-ios-arrow-down'
};
var _$tmp2 = {
  'className': 'k-spinner-icon ion-ios-plus-empty'
};
var _$tmp3 = {
  'className': 'k-spinner-icon ion-ios-arrow-up'
};
export default function ($props, $blocks, $__proto__) {
  var _classNameObj;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      className = _this$get.className,
      disabled = _this$get.disabled,
      size = _this$get.size,
      vertical = _this$get.vertical,
      value = _this$get.value,
      width = _this$get.width;

  var classNameObj = (_classNameObj = {
    'k-spinner': true,
    'k-disabled': disabled
  }, _classNameObj["k-" + size] = size !== 'default', _classNameObj[className] = className, _classNameObj['k-vertical'] = vertical, _classNameObj[makeStyles()] = true, _classNameObj);
  return _$cv('div', _extends({
    'className': _$cn(classNameObj)
  }, getRestProps(this)), [_$cc(Button, {
    'icon': true,
    'ev-click': this.decrease,
    'disabled': this.isDisabledDecrease(),
    'className': 'k-spinner-btn k-left',
    'size': size,
    'children': !vertical ? _$cc(Icon, _$tmp0) : _$cc(Icon, _$tmp1)
  }), _$cc(Input, {
    'className': 'k-spinner-input',
    'disabled': disabled,
    'ev-change': this.changeValue,
    'value': this.value.showValue.value,
    'ev-input': this.onInput,
    'size': size,
    'width': width
  }), _$cc(Button, {
    'icon': true,
    'ev-click': this.increase,
    'disabled': this.isDisabledIncrease(),
    'className': 'k-spinner-btn k-right',
    'size': size,
    'children': !vertical ? _$cc(Icon, _$tmp2) : _$cc(Icon, _$tmp3)
  })]);
}
;