import { Component, TypeDefs } from 'intact-vue-next';
import { Mode } from './style';
export interface SplitProps {
    mode?: Mode;
    firstSize?: string;
    lastSize?: string;
    min?: number | string;
    max?: number | string;
}
export interface SplitEvents {
    moveStart: [MouseEvent];
    moving: [MouseEvent];
    moveEnd: [MouseEvent | undefined];
}
export interface SplitBlocks {
    first: null;
    last: null;
    drag: null;
}
export declare class Split extends Component<SplitProps, SplitEvents, SplitBlocks> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<SplitProps>>;
    static defaults: () => Partial<SplitProps>;
    private size;
    private drag;
}
