import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { __decorate } from "tslib";
import { Component } from 'intact-vue-next';
import template from './index.vdt';
import { bind } from '../utils';
export * from './step';
var typeDefs = {
  value: Number,
  status: ['normal', 'error'],
  type: ['default', 'line', 'simple'],
  clickable: Boolean
};

var defaults = function defaults() {
  return {
    value: 0,
    status: 'normal',
    type: 'default'
  };
};

export var Steps = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Steps, _Component);

  function Steps() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Steps.prototype;

  _proto.changeIndex = function changeIndex(index) {
    var _this$get = this.get(),
        value = _this$get.value,
        clickable = _this$get.clickable;

    if (clickable && value > index) {
      this.set('value', index);
    }
  };

  return Steps;
}(Component);
Steps.template = template;
Steps.typeDefs = typeDefs;
Steps.defaults = defaults;

__decorate([bind], Steps.prototype, "changeIndex", null);