import { Component, Props, VNodeComponentClass } from 'intact-vue-next';
import type { TableColumnProps } from './column';
import type { TableProps } from './table';
import type { TableGrid } from './useMerge';
export interface TableCellProps {
    props: Props<TableColumnProps>;
    columnIndex: number;
    rowIndex: number;
    data: any;
    offset: number;
    checkType: TableProps['checkType'];
    indent: number;
    grid: TableGrid;
    colspan: number;
    rowspan: number;
    onClickArrow: (e: MouseEvent) => void;
    hasChildren: boolean;
}
export declare class TableCell extends Component<TableCellProps> {
    static template: import("intact").Template<any>;
    $update(lastVNode: VNodeComponentClass<TableCell>, nextVNode: VNodeComponentClass<TableCell>, ...rest: any[]): void;
}
