import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import _concatInstanceProperty from "@babel/runtime-corejs3/core-js/instance/concat";
import { Component } from 'intact-vue-next';
import template from './cell.vdt';
export var TableCell = /*#__PURE__*/function (_Component) {
  _inheritsLoose(TableCell, _Component);

  function TableCell() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = TableCell.prototype;

  _proto.$update = function $update(lastVNode, nextVNode) {
    var lastProps = lastVNode.props;
    var nextProps = nextVNode.props;
    var isSame = true;
    var key;

    for (key in lastProps) {
      if (lastProps[key] !== nextProps[key]) {
        isSame = false;
        break;
      }
    }

    if (!isSame) {
      var _Component$prototype$, _context;

      for (var _len = arguments.length, rest = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
        rest[_key - 2] = arguments[_key];
      }

      (_Component$prototype$ = _Component.prototype.$update).call.apply(_Component$prototype$, _concatInstanceProperty(_context = [this, lastVNode, nextVNode]).call(_context, rest));
    }
  };

  return TableCell;
}(Component);
TableCell.template = template;