import type { TableRowKey } from './table';
import type { TableRow } from './row';
export declare function useDraggable(): {
    onRowDragStart: (e: MouseEvent, tableRow: TableRow) => void;
    onRowDragOver: (e: MouseEvent, tableRow: TableRow) => void;
    onRowDragEnd: (e: MouseEvent, tableRow: TableRow) => void;
    draggingKey: import("../../hooks/useState").State<TableRowKey | null>;
};
