import { RefObject } from 'intact-vue-next';
import type { TableRowKey } from './table';
export declare const context: {
    Provider: import("intact").ComponentConstructor<import("intact").Component<import("../context").ProviderProps<any>, {}, {}, {}>>;
    Consumer: import("intact").ComponentConstructor<import("intact").Component<{}, {}, {}, {}>>;
};
export declare function useResizable(scrollRef: RefObject<HTMLElement>): {
    getWidth: (key: TableRowKey) => string | null;
    tableRef: RefObject<HTMLElement>;
    tableWidth: import("../../hooks/useState").State<number | null>;
    widthMap: import("../../hooks/useState").State<Record<TableRowKey, number>>;
    start: (e: MouseEvent) => void;
    dragging: import("../../hooks/useState").State<boolean>;
};
