import { Component, TypeDefs } from 'intact-vue-next';
import { Sizes } from '../../styles/utils';
import { TabProps } from './tab';
export * from './tab';
export interface TabsProps {
    value?: any;
    vertical?: boolean;
    size?: Sizes;
    type?: 'default' | 'card' | 'border-card' | 'no-border-card';
    closable?: boolean;
    beforeChange?: (value: any) => boolean | Promise<boolean>;
}
export interface TabsEvents {
    remove: [any];
}
export declare class Tabs extends Component<TabsProps, TabsEvents> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<TabsProps>>;
    static defaults: () => Partial<TabsProps>;
    private activeBar;
    private scroll;
    init(): void;
    changeTab(tabProps: TabProps): Promise<void>;
    remove(value: any): void;
}
