import _extends from "@babel/runtime-corejs3/helpers/extends";
import { createVNode as _$cv, className as _$cn, createUnknownComponentVNode as _$cc, createElementVNode as _$ce } from 'intact-vue-next';
import { Button } from '../button';
import { getRestProps } from '../utils';
import { makeStyles } from './styles';
export default function ($props, $blocks, $__proto__) {
  var _classNameObj;

  $blocks || ($blocks = {});
  $props || ($props = {});
  var $this = this;

  var _this$get = this.get(),
      className = _this$get.className,
      children = _this$get.children,
      vertical = _this$get.vertical,
      size = _this$get.size,
      type = _this$get.type;

  var _this$scroll = this.scroll,
      isScroll = _this$scroll.isScroll,
      left = _this$scroll.left,
      enablePrev = _this$scroll.enablePrev,
      enableNext = _this$scroll.enableNext,
      prev = _this$scroll.prev,
      next = _this$scroll.next,
      scrollRef = _this$scroll.scrollRef,
      wrapperRef = _this$scroll.wrapperRef;
  var classNameObj = (_classNameObj = {
    'k-tabs': true
  }, _classNameObj["k-" + size] = size, _classNameObj['k-vertical'] = vertical, _classNameObj['k-tabs-card'] = type === 'no-border-card', _classNameObj["k-tabs-" + type] = type !== 'default', _classNameObj["k-is-scroll"] = isScroll.value, _classNameObj[className] = className, _classNameObj[makeStyles()] = true, _classNameObj);
  return _$cv('div', _extends({
    'className': _$cn(classNameObj)
  }, getRestProps(this)), [isScroll.value ? _$cc(Button, {
    'className': 'k-tabs-prev',
    'type': 'none',
    'icon': true,
    'key': 'prev',
    'size': size,
    'disabled': !enablePrev.value,
    'ev-click': prev,
    'children': _$ce(2, 'i', null, 1, 'ion-ios-arrow-left')
  }, 'prev') : undefined, _$ce(2, 'div', _$ce(2, 'div', [children, _$ce(2, 'div', null, 1, 'k-tabs-active-bar', {
    'style': this.activeBar.value
  })], 0, 'k-tabs-wrapper', {
    'style': {
      transform: "translateX(" + left.value + "px)"
    }
  }, null, wrapperRef), 2, 'k-tabs-scroll c-clearfix', null, null, scrollRef), isScroll.value ? _$cc(Button, {
    'className': 'k-tabs-next',
    'type': 'none',
    'icon': true,
    'key': 'next',
    'size': size,
    'disabled': !enableNext.value,
    'ev-click': next,
    'children': _$ce(2, 'i', null, 1, 'ion-ios-arrow-right')
  }, 'next') : undefined]);
}
;