import { Component, TypeDefs } from 'intact-vue-next';
import { Sizes } from '../../styles/utils';
export interface TagProps {
    type?: Sizes;
    closable?: boolean;
    closed?: boolean;
    disabled?: boolean;
    size?: Sizes;
    border?: 'solid' | 'dashed' | 'none';
}
export interface TagEvents {
    close: [MouseEvent];
}
export interface TagBlocks {
}
export declare class Tag<T extends TagProps = TagProps, E extends TagEvents = TagEvents, B extends TagBlocks = TagBlocks> extends Component<T, E, B> {
    static template: import("intact").Template<any>;
    static typeDefs: Required<TypeDefs<TagProps>>;
    static defaults: () => Partial<TagProps>;
    private onClose;
}
