import _inheritsLoose from "@babel/runtime-corejs3/helpers/inheritsLoose";
import { __decorate } from "tslib";
import { Component } from 'intact-vue-next';
import { bind } from '../utils';
import template from './index.vdt';
import { sizes } from '../../styles/utils';
var typeDefs = {
  type: ['default', 'primary', 'danger', 'success', 'warning'],
  closable: Boolean,
  closed: Boolean,
  disabled: Boolean,
  size: sizes,
  border: ['solid', 'dashed', 'none']
};

var defaults = function defaults() {
  return {
    type: 'default',
    size: 'default',
    border: 'solid'
  };
};

export var Tag = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Tag, _Component);

  function Tag() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Tag.prototype;

  _proto.onClose = function onClose(e) {
    e.stopPropagation();
    this.trigger('close', e);

    if (!e.defaultPrevented) {
      this.set('closed', true);
    }
  };

  return Tag;
}(Component);
Tag.template = template;
Tag.typeDefs = typeDefs;
Tag.defaults = defaults;

__decorate([bind], Tag.prototype, "onClose", null);