import { createVNode as h, Component } from 'intact-vue-next';
import { PanelPicker } from './panelPicker';
import { SelectPicker } from './selectPicker';

function Wrapper(props) {
  if (props.step && !props.range) {
    return h(SelectPicker, props);
  }

  return h(PanelPicker, props);
}

var functionalWrapper = Component.functionalWrapper;
export var Timepicker = functionalWrapper ? functionalWrapper(Wrapper) : Wrapper;