import { Component } from 'intact-vue-next';
import dayjs, { Dayjs } from '../datepicker/dayjs';
import type { TimepickerProps } from './';
import type { Value } from '../datepicker/basepicker';
export declare function useFormats<T extends Component<TimepickerProps>>(): {
    getValueFormat: () => string;
    getShowFormat: () => string;
    createDateByValueFormat: (value: Value) => dayjs.Dayjs;
    createDateByShowFormat: (value: Value) => dayjs.Dayjs;
    getShowString: (value: Dayjs) => string;
    getValueString: (value: Dayjs) => string;
};
