import { theme } from '../../styles/theme';
import { css } from '@emotion/css';
import '../../styles/global';
import { deepDefaults } from '../../styles/utils';

var _deepDefaults = deepDefaults(theme, {
  tip: {
    title: {
      fontSize: '14px',
      gap: '8px'
    },

    get color() {
      return theme.color.text;
    },

    get padding() {
      return "6px " + theme.default.padding;
    }

  }
}),
    tip = _deepDefaults.tip;

export function makeStyles() {
  return /*#__PURE__*/css("&.k-tip{display:flex;height:auto;padding:0;color:", tip.color, "!important;align-items:flex-start;}.k-tip-wrapper{flex:1;padding:", tip.padding, ";}.k-tip-title{font-size:", tip.title.fontSize, ";margin-bottom:", tip.title.gap, ";}&.k-fade-leave-active{position:relative;}");
}