import type { useFilter, Model } from './useFilter';
export declare type CheckedKeys = `leftCheckedKeys` | `rightCheckedKeys`;
export declare function useCheck({ getEnabledData, getShowedData }: ReturnType<typeof useFilter>): {
    isCheckAll: (model: Model) => boolean | 0;
    toggleCheckAll: (model: Model, e: MouseEvent) => void;
    onCheckboxChange: (model: Model, index: number, e: MouseEvent) => void;
};
