import { Key } from 'intact-vue-next';
import type { Node } from './useNodes';
export declare enum Mode {
    Before = 0,
    After = 1,
    Inner = 2
}
export declare function useDraggable(): {
    onDragStart: (node: Node, e: MouseEvent) => void;
    onDragOver: (node: Node, e: MouseEvent) => void;
    onDragEnd: (e: MouseEvent) => void;
    draggingKey: import("../../hooks/useState").State<Key | null>;
    overKey: import("../../hooks/useState").State<Key | null>;
    mode: import("../../hooks/useState").State<Mode | null>;
};
