import { Children, Key } from 'intact-vue-next';
export declare type DataItem = {
    label?: Children;
    key?: Key;
    disabled?: boolean;
    loaded?: boolean;
    children?: DataItem[];
};
export declare function useNodes(): {
    getNodes: () => Node[];
};
export declare class Node {
    data: DataItem;
    parent: Node | null;
    key: Key;
    checked: boolean;
    indeterminate: boolean;
    children: Node[] | null;
    loaded: boolean | null | undefined;
    filter: boolean;
    constructor(data: DataItem, parent: Node | null, key: Key);
}
