import { css } from '@emotion/css';
import { theme } from '../../styles/theme';
import { deepDefaults } from '../../styles/utils';
import '../../styles/global';

var _deepDefaults = deepDefaults(theme, {
  treeSelect: {
    maxHeight: "400px",
    padding: "3px 6px"
  }
}),
    treeSelect = _deepDefaults.treeSelect;

export function makeStyles() {
  return /*#__PURE__*/css("min-width:auto;max-height:", treeSelect.maxHeight, ";padding:", treeSelect.padding, ";overflow:auto;&:not([class*=\"-active\"]){transition:left ", theme.transition, ",top ", theme.transition, ";}");
}