export declare type Handler = (e: KeyboardEvent) => void;
export declare type Listener = (fn: () => void) => () => void;
export declare type Options = {
    down: Handler;
    up: Handler;
    right: Handler;
    left: Handler;
    enter: Handler;
    default?: Handler;
};
export declare function useKeyboard(options: Options): readonly [() => void, () => void, (v: boolean) => boolean];
