export declare function deepDefaults<T, U>(source: T, defaults: U): T & U;
export declare function deepDefaults<T, U, V>(source: T, defaults1: U, defaults2: V): T & U & V;
export declare function deepDefaults<T, U, V, W>(source: T, defaults1: U, defaults2: V, defaults3: W): T & U & V & W;
export declare function deepDefaults(source: any, ...defaults: any[]): any;
export declare function deepExtends<T, U>(source: T, defaults: U): T & U;
export declare function deepExtends<T, U, V>(source: T, defaults1: U, defaults2: V): T & U & V;
export declare function deepExtends<T, U, V, W>(source: T, defaults1: U, defaults2: V, defaults3: W): T & U & V & W;
export declare function deepExtends(source: any, ...defaults: any[]): any;
export declare function palette(color: string, level: number): string;
export declare function getLeft(padding: string): string;
export declare function getRight(padding: string): string;
export declare function darken(color: string, number: number): string;
export declare type Sizes = 'large' | 'default' | 'small' | 'mini';
export declare const sizes: Sizes[];
